import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int[] a = new int[n];
        int max = 0;
        for (int i = 0;i<n;i++) {
            a[i] = nextInt();
            if (a[i]>max) {
                max = a[i];
            }
        }
        if (max<5) {
            for (int i = 0;i<n;i++) {
                if (a[i]==1 || a[i]==4) {
                    out.print(1 + " ");
                } else {
                    out.print(2 + " ");
                }
            }
            out.close();
            return;
        }
        for (int i = 0;i<n;i++) {
            boolean b = true;
            for (int j = 2;j<=Math.sqrt(a[i]);j++) {
                if (a[i]%j==0) {
                    b = false;
                    break;
                }
            }
            if (!b) {
                out.print(1 + " ");
            }
            if (b) {
                out.print(2 + " ");
            }
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}